import { IRouter, Router } from "express";

export default function(): IRouter {
    const app = Router();

    app.put('/', async (req, res) => {
        const body = req.body as { selection?: number[] } | null;
        if (!body) { res.send(400); return; }
        if (!body.selection) { res.send(400); return; }
        if (!(body.selection instanceof Array)) { res.send(400); return; }

        req.session.selection = body.selection;
        res.status(200);
        res.send('');
        return
    });

    app.get('/', async (req, res) => {
        res.send(req.session.selection ?? [])
    })

    return app;
}