import { DataSource } from "typeorm";
import '../env.js';

export default new DataSource({
    type: 'postgres',
    host: process.env.DB_HOST,
    port: 5432,
    username: process.env.DB_USER,
    password: process.env.DB_PASS,
    database: process.env.DB_NAME,
    entities: [ import.meta.dirname + "/entity/*.js" ],
    migrations: [ import.meta.dirname + "/migration/*.js" ],
    logging: true,
    synchronize: true
});
