import { MigrationInterface, QueryRunner, Table, TableColumn } from "typeorm";

export class Session1731074164994 implements MigrationInterface {

    public async up(queryRunner: QueryRunner): Promise<void> {
        queryRunner.createTable(
            new Table({
                name: 'Session',
                columns: [
                    {
                        name: 'expiredAt',
                        type: 'bigint',
                        isGenerated: true,
                        isPrimary: true,
                        isNullable: false,
                    },
                    {
                        name: 'id',
                        type: 'varchar',
                        length: '255',
                        isNullable: false,
                        isUnique: true
                    },
                    {
                        name: 'json',
                        type: 'varchar',
                        isNullable: false
                    },
                    {
                        name: 'destroyedAt',
                        type: 'date',
                        isNullable: true
                    }
                ]
            }),
            true
        )
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        queryRunner.dropTable('Session', true)
    }

}
