import ky from "ky";
import { DataRow } from "./DataRow";

export class DataRowSelection {
    constructor(
        public rows: DataRow[]
    ) { }

    set(newRows: DataRow[]): DataRow[] {
        return this.rows = newRows;
    }

    async save() {
        await ky('/api/selection', {
            method: 'PUT',
            json: {
                selection: this.rows
            }
        })
    }

    async get(): Promise<DataRow[]> {
        const req = await ky('/api/selection', { method: 'GET', cache: 'no-cache' });
        const data = await req.json();
        if (!(data instanceof Array)) throw new Array('API returned invalid data');
        return data.map(DataRow.reviveJSON)
    }
}