import { DataRow } from "../api/DataRow";
import style from './Posts.module.scss';
import { Post } from "./display/Post";

export type PostsProps = {
    rows: DataRow[],
    checked?: boolean,
    onSelectChange?: (row: DataRow) => void
};

export function Posts(props: PostsProps) {

    function onChange(row: DataRow) {
        if (props.onSelectChange) props.onSelectChange(row)
    }

    return (
        <ul className={style.posts}>
            {
                props.rows.map(
                    row =>
                        <li>
                            <span>
                                <label for={`row-list-${row.id}`} style={{ display: 'none' }}>Select</label>
                                <input type='checkbox' checked={props.checked ?? false} id={`row-list-${row.id}`} onChange={_ => onChange(row)}/>
                            </span>
                            <Post row={row} />
                        </li>
                )
            }
            {
                props.rows.length == 0
                    ? <pre>empty!</pre>
                    : null
            }
        </ul>
    );
}