import { useState } from 'preact/hooks';
import styles from './input.module.scss';
import { DataRow } from '../../api/DataRow';

export type NewPostProps = {
    onCreate: () => void
};
export function NewPost({ onCreate }: NewPostProps) {

    const [ data, setData ] = useState('');

    async function create() {
        await DataRow.create(data);
        onCreate();
    }

    return (
        <div className={styles.input}>
            <input type='text' value={data} onChange={e => setData(e.currentTarget.value)} placeholder={'new post'} />
            <button onClick={create}>create</button>
        </div>
    )
}