import { TargetedEvent } from 'preact/compat';

export type PaginatorProps = {
    page: number,
    onChange: (page: number) => void,
    className?: string
};
export function Paginator({page, onChange, className}: PaginatorProps) {
    function middleware(e: TargetedEvent<HTMLInputElement, Event>) {
        onChange(parseInt(e.currentTarget.value));
    }

    return (
        <div className={className}>
            <label for='page'>Page: </label>
            <input type='number' id='page' value={page} onChange={middleware}/>
        </div>
    )
}